uuid: 9eeecd9b-3ee8-42a5-95e9-ad65bd93c6bb
langcode: en
status: true
dependencies:
  config:
    - search_api.index.campaign
    - system.menu.main
  module:
    - search_api
    - user
_core:
  default_config_hash: YqGL7DmxvGN5USFKhyzP1geG-g_GNIHLeRQ4jiBk01w
id: campaign
label: Campaign
module: views
description: 'Various displays for the campign content type.'
tag: ''
base_table: search_api_index_campaign
base_field: search_api_id
core: 8.x
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: perm
        options:
          perm: 'access content'
      cache:
        type: none
        options: {  }
      query:
        type: views_query
        options:
          bypass_access: false
          skip_access: false
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      pager:
        type: mini
        options:
          items_per_page: 12
          offset: 0
          id: 0
          total_pages: null
          tags:
            previous: ‹‹
            next: ››
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
      style:
        type: default
        options:
          row_class: ''
          default_row_class: false
          uses_fields: false
      row:
        type: search_api
        options:
          view_modes:
            'entity:node':
              campaign: card
      fields:
        rendered_item:
          table: search_api_index_campaign
          field: rendered_item
          id: rendered_item
          entity_type: null
          entity_field: null
          plugin_id: search_api
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          link_to_item: false
          use_highlighting: false
          multi_type: separator
          multi_separator: ', '
      filters: {  }
      sorts:
        sticky:
          id: sticky
          table: search_api_index_campaign
          field: sticky
          relationship: none
          group_type: group
          admin_label: ''
          order: DESC
          exposed: false
          expose:
            label: ''
          plugin_id: search_api
        created:
          id: created
          table: search_api_index_campaign
          field: created
          relationship: none
          group_type: group
          admin_label: ''
          order: DESC
          exposed: false
          expose:
            label: ''
          plugin_id: search_api
      header: {  }
      footer: {  }
      empty: {  }
      relationships: {  }
      arguments: {  }
      display_extenders: {  }
      title: Campaigns
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url.query_args
        - user.permissions
      tags: {  }
  block_promoted:
    display_plugin: block
    id: block_promoted
    display_title: 'Block Promoted'
    position: 2
    display_options:
      display_extenders: {  }
      display_description: ''
      filters:
        promote:
          id: promote
          table: search_api_index_campaign
          field: promote
          relationship: none
          group_type: group
          admin_label: ''
          operator: '='
          value: '1'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_boolean
      defaults:
        filters: false
        filter_groups: false
        pager: false
      filter_groups:
        operator: AND
        groups:
          1: AND
      pager:
        type: some
        options:
          items_per_page: 4
          offset: 0
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - user.permissions
      tags: {  }
  page_listing:
    display_plugin: page
    id: page_listing
    display_title: Page
    position: 1
    display_options:
      display_extenders: {  }
      path: campaigns
      menu:
        type: normal
        title: Campaigns
        description: 'Join our campaigns.'
        expanded: false
        parent: ''
        weight: 0
        context: '0'
        menu_name: main
        enabled: false
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url.query_args
        - user.permissions
      tags: {  }
